%define pkg mmm-mode
%define pkgpj %{pkg}
%define pkgname MMM Mode

Name:           emacs-%{pkg}
Version:        0.5.7
Release:        1%{?dist}
Summary:        Multiple Major Mode support for single emacs buffers

Group:          Applications/Editors
License:        GPLv3+
URL:            https://github.com/purcell/%{pkgpj}

Source:         %{url}/archive/%{version}.tar.gz#/%{pkgpj}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  autoconf automake emacs texinfo
Requires:       emacs(bin) >= %{_emacs_version}
%{?fc27:%info_requires}

Obsoletes:	emacs-%{pkg}-el < %{version}-%{release}
Provides:	emacs-%{pkg}-el < %{version}-%{release}

%description
%{pkgname} is a minor mode for Emacs that allows Multiple Major Modes
to coexist in one buffer.  It is well suited to editing:

 * Preprocessed code, such as server-side Ruby, Perl or PHP embedded in HTML
 * Code generating code, such as HTML output by CGI scripts
 * Embedded code, such as Javascript in HTML
 * Literate programming: code interspersed with documentation, eg. Noweb

%prep
%autosetup -n %{pkgpj}-%{version}

%build
env NOCONFIGURE=1 ./autogen.sh && \
%configure
%make_build

%install
%make_install
# clean up after installer's assumptions:
# - autoload lisp file goes to system-owned site start dir,
%__install -d %{buildroot}%{_emacs_sitestartdir}
%__mv %{buildroot}%{_emacs_sitelispdir}/mmm-defaults.el \
      %{buildroot}%{_emacs_sitestartdir}/%{pkg}-init.el
# - other lisp files go to package-owned subdir,
%__install -d %{buildroot}%{_emacs_sitelispdir}/%{pkg}
%__mv %{buildroot}%{_emacs_sitelispdir}/*.el* \
      %{buildroot}%{_emacs_sitelispdir}/%{pkg}/
# - compress info files,
for f in %{buildroot}%{_infodir}/*.info; do
    %__gzip -9 <$f >$f.gz
done
# - lose the build-side-effect info dir.
%__rm -f %{buildroot}%{_infodir}/dir


# fc28 and later runs these scriptlets automatically, cf. https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#Texinfo
%post
%{?fc27:%info_post mmm.info.gz}

%preun
%{?fc27:%info_preun mmm.info.gz}


%files
%doc AUTHORS ChangeLog FAQ NEWS README README.Mason
%license COPYING
%{_emacs_sitelispdir}/%{pkg}
%{_emacs_sitestartdir}/*.el
%{_infodir}/*.info*

%changelog
* Fri Sep 21 2018 Honore Doktorr <hdfssk@gmail.com> - 0.5.7-1
- Initial packaging, to support emacs-mmm-mode 0.5.7.
